\documentclass[landscape]{zettel2}

\geometry{top=1cm, bottom=1cm, left=1cm, right=1cm}

% Header
\pagestyle{empty}

\DTLloaddb{telefonnummern}{teilnehmende-telefon.csv}

\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{longtable}[l]{|l|l|l|l|l|l|l|l|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Telefon} & \multicolumn{3}{|c|}{\textbf{Notfallnummern}}\\
        \hline
        \endfirsthead
        \noalign\bgroup
        \DTLforeach{telefonnummern}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \telefon=Telefon,%
            \notfallEins=Notfallnummer 1,%
            \notfallZwei=Notfallnummer 2,%
            \notfallDrei=Notfallnummer 3%
        }{%
            \egroup \vorname & \nachname &
            \telefon &
            \notfallEins & \notfallZwei & \notfallDrei\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{longtable}

    \hspace{1cm} \Large \textbf{Gesamtanzahl: \DTLrowcount{telefonnummern}}

\end{document}
